package main

import (
	"bufio"
	"fmt"
	"os"

	"s.mcquay.me/dm/kvrepl"
)

func main() {
	d := &kvrepl.DB{PKV: true}
	d.KV1 = make(map[string]string)
	d.KV2 = make(map[string]string)
	scanner := bufio.NewScanner(os.Stdin)
	for scanner.Scan() {
		v, err := kvrepl.Parse(scanner.Text(), d)
		if err != nil {
			fmt.Fprintln(os.Stderr, err)
		} else {
			if v != "" {
				fmt.Println(v)
			}
		}
	}
}
